package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.DepartmentBean;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface DepartmentProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(String name, Long parentId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DepartmentBean departmentBean) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DepartmentBean departmentBean) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(Long id) {
        return new BocloudResult(false, "need implement");
    }

    /**
     * 适用V335
     *
     * @param id   部门id
     * @param name 部门名称
     * @return 符合条件的部门详情
     */
    default BocloudResult detail(Long id, String name) {
        return new BocloudResult(false, "need implement");
    }
}
